> ## Documentation Index
> Fetch the complete documentation index at: https://docs.recital.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet Balance

> Get a wallet balance.

### Query

No query parameters are required.\
The `{accountWalletId}` and  `{currency}` are passed as part of the URL.

***

```bash Example Request theme={null}
curl --location 'https://api.recital.finance/api/wallets/balances/{accountWalletId}/{currency}' \
--header 'Authorization: Bearer apiKey'
```

```json Success Response theme={null}
{
    "walletBalances": {
            "accountWalletId": {accountWalletId},
            "currency": "NGN",
            "provider": "0009",
            "ledger": 3045.150000,
        }
}
```

```json Error Response theme={null}
{
  "message": "Invalid accountWalletId",
  "success": false
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.